package fr.irisa.cairn.jnimap.isl;

import java.util.HashMap;
import java.util.Map;

/*** PROTECTED REGION ID(ISLDimType_userImport) ENABLED START ***/
	/*
		Put you custom import here ....
	*/
/*** PROTECTED REGION END ***/

/**
 *  Automatically generated by jnimap 
 * @generated
 */

public class ISLDimType  {

	int value;
	String name;

	/*** PROTECTED REGION ID(ISLDimType_values) DISABLED START ***/
	public static final int ISL_DIM_CST = 0;
	public static final int ISL_DIM_PARAM = 1;
	public static final int ISL_DIM_IN = 2;
	public static final int ISL_DIM_OUT = 3;
	public static final int ISL_DIM_SET = ISL_DIM_OUT;
	public static final int ISL_DIM_DIV = 4;
	public static final int ISL_DIM_ALL = 5;
	/*** PROTECTED REGION END ***/
	
	public static ISLDimType isl_dim_cst = new ISLDimType("isl_dim_cst", ISL_DIM_CST);
	public static ISLDimType isl_dim_param = new ISLDimType("isl_dim_param", ISL_DIM_PARAM);
	public static ISLDimType isl_dim_in = new ISLDimType("isl_dim_in", ISL_DIM_IN);
	public static ISLDimType isl_dim_out = new ISLDimType("isl_dim_out", ISL_DIM_OUT);
	public static ISLDimType isl_dim_set = new ISLDimType("isl_dim_set", ISL_DIM_SET);
	public static ISLDimType isl_dim_div = new ISLDimType("isl_dim_div", ISL_DIM_DIV);
	public static ISLDimType isl_dim_all = new ISLDimType("isl_dim_all", ISL_DIM_ALL);
	
	public static ISLDimType build(long value) {
		return getFromInt((int) value) ;
	}
	
	
	public static  ISLDimType getFromInt(int value) {
		/*** PROTECTED REGION ID(ISLDimType_getValues) ENABLED START ***/
		return null;
		/*** PROTECTED REGION END ***/
	}

	private ISLDimType(String name, int value) {
		this.value=value;
		this.name=name;
	}
	
	public int getValue() {
		return this.value;
	}

	public String getName() {
		return this.name;
	}
	
}
